- API reference
- Pub/Sub Notifications
- Get Pub/Sub channels for an application
GET
https://api.us.nylas.com/v3/channels/pubsubGet Pub/Sub channels for an application
Get the Pub/Sub channels for an application.
Works with an API key or an IAM API key with the pubsub_channels.read permission.
Array items:
Example:
"UMWjAjMeWQ4D8gYF2moonK4486"Example:
"Production Pub/Sub channel for Email notifications"trigger_typesarray<string>The event that triggers the notification. See the notification schemas for details about each trigger type.
See the Grants, Calendar, Events, and Messages references for information on how to trigger each event type.
Example:
"projects/your-project-id/topics/your-topic-id"notification_email_addressesarray<string>The email addresses that Nylas notifies if delivery to the Pub/Sub channel fails.
Example:
["[email protected]","[email protected]"]